Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri
Class GCSAuthority

    java.lang.Object
      org.openxri.Parsable
          org.openxri.AuthorityPath
              org.openxri.XRIAuthority
                  org.openxri.GCSAuthority

All Implemented Interfaces:
  java.lang.Comparable

    public class GCSAuthority

extends XRIAuthority

This class provides a strong typing for a GCS Authority. Any object of this class that appears outside of the package is a valid GCS Authority.

Author:
  =chetan

Constructor Summary
`GCSAuthority(java.lang.String sPath)` Constructs GCSAuthority from a String

Method Summary
`java.lang.String` | `getGCSRoot()` Returns the GCS root
`char` | `getGCSRootAsChar()` Returns the GCS root
`XRIAuthority` | `getParent()` Returns the parent XRIAuthority for this object.
`java.lang.String` | `getRootAuthority()` Returns the root XRI Authority as a String
`java.lang.String` | `toIRINormalForm()` Serialzes the XRIAuthority into IRI-normal from
`java.lang.String` | `toURINormalForm()` Serialzes the XRIAuthority into URI normal from

Methods inherited from class org.openxri.XRIAuthority
`getLastSubSegment, getNumSubSegments, getParentAsXRI, getSubSegmentAt, getXRISegment`

Methods inherited from class org.openxri.AuthorityPath
`buildAuthorityPath`

Methods inherited from class org.openxri.Parsable
`compareTo, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GCSAuthority

    public GCSAuthority(java.lang.String sPath)

  Constructs GCSAuthority from a String

Method Detail

### getGCSRootAsChar

    public char getGCSRootAsChar()

  Returns the GCS root

  Returns:
    char The GCS Root Authority

### getGCSRoot

    public java.lang.String getGCSRoot()

  Returns the GCS root

  Returns:
    String The GCS Root Authority

### toIRINormalForm

    public java.lang.String toIRINormalForm()

  Serialzes the XRIAuthority into IRI-normal from

  Specified by:
    `toIRINormalForm` in class `AuthorityPath`
  Returns:
    The IRI normal form of the XRIAuthority

### toURINormalForm

    public java.lang.String toURINormalForm()

  Serialzes the XRIAuthority into URI normal from

  Specified by:
    `toURINormalForm` in class `AuthorityPath`
  Returns:
    The URI normal form of the XRIAuthority

### getRootAuthority

    public java.lang.String getRootAuthority()

  Returns the root XRI Authority as a String

  Specified by:
    `getRootAuthority` in class `XRIAuthority`
  Returns:
    String The Root XRI Authority

### getParent

    public XRIAuthority getParent()

  Returns the parent XRIAuthority for this object. Equivalent to all but the last SubSegment.

  Specified by:
    `getParent` in class `XRIAuthority`
  Returns:
    XRIAuthority The parent XRIAuthority of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.